Pause pull endpoint
POST
/v1/pull-endpoints/{id}/pause
const url = 'https://api.hookbridge.io/v1/pull-endpoints/01935abc-def0-7123-4567-890abcdef012/pause';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hookbridge.io/v1/pull-endpoints/01935abc-def0-7123-4567-890abcdef012/pause \ --header 'Authorization: Bearer <token>'Pauses the pull endpoint. When paused, the ingestion URL returns 503 to webhook providers (triggering provider retry). No new events are stored. Existing events remain retrievable.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Pull endpoint identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Responses
Section titled “Responses”Pull endpoint paused
Media typeapplication/json
object
data
object
id
string
paused
boolean
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "data": { "paused": true }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Personalize Examples
Enter your credentials to populate code examples throughout the docs.